Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.ext.server
Class TCPIPEXTServerEndpoint

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerEndpoint
          com.stc.connector.tcpip.ext.server.TCPIPEXTServerEndpoint

All Implemented Interfaces:
  com.stc.connector.framework.eway.EwayEndpoint, com.stc.connector.management.STCManagedSlave, java.io.Serializable

Direct Known Subclasses:
  HL7ServerEndpoint, HL7v3ServerEndpoint

    public class TCPIPEXTServerEndpoint

extends TCPIPServerEndpoint
implements com.stc.connector.framework.eway.EwayEndpoint, java.io.Serializable

Implementatin of EwayEndpoint for TCPIP Server Activations.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2008/03/18 06:03:31 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.server.TCPIPServerEndpoint
`mMonitorData`

Constructor Summary
`TCPIPEXTServerEndpoint()` Constructor of TCPIPEXTServerEndpoint

Method Summary
`void` | `activation(javax.resource.spi.endpoint.MessageEndpointFactory mef, javax.resource.spi.BootstrapContext aContext, com.stc.configuration.IConfiguration aConfiguration, com.stc.connector.management.util.ObjectReference aMonitor)` Activate eWay endpoint.
`TCPIPServerApplication` | `createTCPIPServerApplication(TCPIPServerApplicationConnection serverAppConn, java.lang.String appName)` Creates TCPIPServerApplication object.
`void` | `deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)` Deactivate (terminate) eWay endpoint.
`MessageInfo` | `getMessageInfo()` Returns the messageInfo instance.
`protected void` | `initializeMsg()` Method initializeMsg.
`void` | `setMessageInfo(MessageInfo messageInfo)` Sets the messageInfo.

Methods inherited from class com.stc.connector.tcpip.model.server.TCPIPServerEndpoint
`getActivationSpec, getBootstrapContext, getConfiguration, getMessageEndpointFactory, getMonitor, getMonitorSchedulerList, getMonitorTaskList, getMonitorWorkList, getTCPIPServer, getTCPIPServerGeneralInfo, getTCPIPServerScheduleInfo, getTCPIPServerSocketInfo, getXAResource, setActivationSpec, setMonitor, setTCPIPServerGeneralInfo, setTCPIPServerScheduleInfo, setTCPIPServerSocketInfo, updateMBeanConnectionStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.framework.eway.EwayEndpoint
`getXAResource`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPEXTServerEndpoint

    public TCPIPEXTServerEndpoint()

  Constructor of TCPIPEXTServerEndpoint

Method Detail

### activation

    public void activation(javax.resource.spi.endpoint.MessageEndpointFactory mef,
                           javax.resource.spi.BootstrapContext aContext,
                           com.stc.configuration.IConfiguration aConfiguration,
                           com.stc.connector.management.util.ObjectReference aMonitor)
                    throws javax.resource.ResourceException

  Activate eWay endpoint.

  Specified by:
    `activation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Overrides:
    `activation` in class `TCPIPServerEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
    `aContext` - The BootstrapContext provided by the container.
    `aConfiguration` - The instance of IConfiguration which contains the information for creating an endpoint activation.
    `aMonitor` - The monitor ObjectReference.
  Throws:
    `javax.resource.NotSupportedException` - upon error.
    `javax.resource.ResourceException`
  See Also:
    `(MessageEndpointFactory, BootstrapContext, IConfiguration, ObjectReference)`

### initializeMsg

    protected void initializeMsg()
                          throws javax.resource.NotSupportedException

  Description copied from class: `TCPIPServerEndpoint`
  Method initializeMsg.

  Overrides:
    `initializeMsg` in class `TCPIPServerEndpoint`
  Throws:
    `javax.resource.NotSupportedException`
  See Also:
    `TCPIPServerEndpoint.initializeMsg()`

### deactivation

    public void deactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)

  Deactivate (terminate) eWay endpoint.

  Specified by:
    `deactivation` in interface `com.stc.connector.framework.eway.EwayEndpoint`
  Overrides:
    `deactivation` in class `TCPIPServerEndpoint`
  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
  See Also:
    `EwayEndpoint.deactivation(MessageEndpointFactory)`

### getMessageInfo

    public MessageInfo getMessageInfo()

  Returns the messageInfo instance.

  Returns:
    MessageInfo instance

### setMessageInfo

    public void setMessageInfo(MessageInfo messageInfo)

  Sets the messageInfo.

  Parameters:
    `messageInfo` - The messageInfo to set

### createTCPIPServerApplication

    public TCPIPServerApplication createTCPIPServerApplication(TCPIPServerApplicationConnection serverAppConn,
                                                               java.lang.String appName)
                                                        throws TCPIPApplicationException

  Description copied from class: `TCPIPServerEndpoint`
  Creates TCPIPServerApplication object.

  Overrides:
    `createTCPIPServerApplication` in class `TCPIPServerEndpoint`
  Parameters:
    `serverAppConn` - TCPIPServerApplicationConnection instance
    `appName` - Application name
  Returns:
    TCPIPClientApplication object
  Throws:
    `TCPIPApplicationException` - up on an error
  See Also:
    `(TCPIPServerApplicationConnection, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD